Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSCvrect

## Properties

Properties of the class: WSCvrect are as follows.

Type | Property Name | Supplement | Default

unsigned short | WSNlineWidth | Line width | 2

unsigned char | WSNlineType | Line type | 0

| Line | ( 0 ) |

| Dashed line | ( 1 ) |

| Double dashed line | ( 2 ) |

| Double dashed line2 | ( 3 ) |

| Double dashed line3 | ( 4 ) |

| Double dashed line4 | ( 5 ) |

| Double dashed line5 | ( 6 ) |

| Double dashed line6 | ( 7 ) |

| Short dashed line | ( 8 ) |

WSCbool | WSNstippled | Use hatch pattern | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

unsigned char | WSNhatchPattern | Hatch pattern | 0

| Plane | ( 0 ) |

| Oblique lines1 | ( 1 ) |

| Oblique lines2 | ( 2 ) |

| Vert. lines | ( 3 ) |

| Horiz. lines | ( 4 ) |

| Oblique closs | ( 5 ) |

| Lattice | ( 6 ) |

| Dot | ( 7 ) |

short | WSNhatchColor | Hatch pattern color | DEF13

short | WSNhatchBlinkColor | Hatch pattern blink color | DEF13

WSCbool | WSNbackColorFlag | Use back color | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

short | WSNbackColor | Background | DEF13

short | WSNbackBlinkColor | Back blink color | DEF13

unsigned char | WSNblinkType | Blink type | 0

| Foreground | WS_FORE ( 0 ) |

| Background | WS_BACK ( 1 ) |

| Fore/Back | WS_BOTH ( 2 ) |

char* | WSNname | Name |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

WSCbool | WSNblinkRefreshing | Blink refresing | 0

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

short | WSNx | X | 0

short | WSNy | Y | 0

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

short | WSNforeColor | Foreground | DEF14

WSCbool | WSNtwinBlink | Twin blinking | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

short | WSNblinkColor | Blink color | DEF13

unsigned char | WSNblinkRate | Blink rate | 1

| 0.25s | WS250MS ( 1 ) |

| 0.50s | WS500MS ( 2 ) |

| 0.75s | WS750MS ( 3 ) |

| 1.00s | WS1000MS ( 4 ) |

| 2.00s | WS2000MS ( 8 ) |

| 3.00s | WS3000MS ( 12 ) |

| 5.00s | WS5000MS ( 20 ) |

WSCbool | WSNblinkFlag | Blinking | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned short | WSNanchorTop | AnchorTop | 0

unsigned short | WSNanchorBottom | AnchorBottom | 0

unsigned short | WSNanchorLeft | AnchorLeft | 0

unsigned short | WSNanchorRight | AnchorRight | 0

WSCbool | WSNanchorTopFlag | AnchorTopFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorBottomFlag | AnchorBottomFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorLeftFlag | AnchorLeftFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorRightFlag | AnchorRightFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

## Specification of properties

- WSNlineWidth
  Function
    Spesifies the Line width.
  Notice

- WSNlineType
  Function
    Spesifies the Line type.
  Notice

- WSNstippled
  Function
    Spesifies the Use hatch pattern.
  Notice

- WSNhatchPattern
  Function
    Spesifies the Hatch pattern.
  Notice

- WSNhatchColor
  Function
    Spesifies the Hatch pattern color.
  Notice

- WSNhatchBlinkColor
  Function
    Spesifies the Hatch pattern blink color.
  Notice

- WSNbackColorFlag
  Function
    Spesifies the Use back color.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNbackBlinkColor
  Function
    Spesifies the Back blink color.
  Notice

- WSNblinkType
  Function
    Spesifies the Blink type.
  Notice

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNblinkRefreshing
  Function
    Spesifies the Blink refresing.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNforeColor
  Function
    Spesifies the Foreground.
  Notice

- WSNtwinBlink
  Function
    Spesifies the Twin blinking.
  Notice

- WSNblinkColor
  Function
    Spesifies the Blink color.
  Notice

- WSNblinkRate
  Function
    Spesifies the Blink rate.
  Notice

- WSNblinkFlag
  Function
    Spesifies the Blinking.
  Notice

- WSNanchorTop
  Function
    Spesifies the AnchorTop.
  Notice

- WSNanchorBottom
  Function
    Spesifies the AnchorBottom.
  Notice

- WSNanchorLeft
  Function
    Spesifies the AnchorLeft.
  Notice

- WSNanchorRight
  Function
    Spesifies the AnchorRight.
  Notice

- WSNanchorTopFlag
  Function
    Spesifies the AnchorTopFlag.
  Notice

- WSNanchorBottomFlag
  Function
    Spesifies the AnchorBottomFlag.
  Notice

- WSNanchorLeftFlag
  Function
    Spesifies the AnchorLeftFlag.
  Notice

- WSNanchorRightFlag
  Function
    Spesifies the AnchorRightFlag.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

Document Release 3.70
For Use with Wide Studio Release 3.70, Spring 2004

Wide Stuido Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004